on removeButtons
  global gTweeningButtonPropertyList, gTweeningPagePropertyList, gMaxChannels
  set gTweeningButtonPropertyList to [:]
  set gTweeningPagePropertyList to [:]
  repeat with channelCount = 1 to gMaxChannels
    if the type of sprite channelCount <> 0 then
      puppetSprite(channelCount, 0)
      set the visible of sprite channelCount to 1
    end if
  end repeat
  puppetSound(0)
  updateStage()
end

on Wait howLong
  set startTime to the timer
  repeat while the timer < (startTime + howLong)
    nothing()
  end repeat
  continue()
end

on DoFlash whichSprite
  global gLastTime
  if voidp(gLastTime) then
    set gLastTime to the timer
  end if
  if the timer > (gLastTime + 20) then
    set the visible of sprite whichSprite to not (the visible of sprite whichSprite)
    set gLastTime to the timer
  end if
  if the timer < (gLastTime - 20) then
    set gLastTime to the timer
  end if
end

on ScrollDown
  doButton()
  if the result = 1 then
    set scrollText to the name of the member of sprite (the clickOn - 2)
    scrollByLine(member scrollText, 1)
  end if
end

on ScrollUp
  doButton()
  if the result = 1 then
    set scrollText to the name of the member of sprite (the clickOn - 1)
    scrollByLine(member scrollText, -1)
  end if
end
